MMEvents.createStructures(event => {
    event.create("mm:sieve_structure")
        .controllerId("mm:sieve")
        .name("Sieve")
        .layout(a => {
            a.layer([
                "BBBBB",
                "BDDDB",
                "BDIDB",
                "BDDDB",
                "BBBBB"
            ]).layer([
                "BDDDB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB" 
            ]).layer([
                "BDDDB",    
                "D   D", 
                "D   D", 
                "D   D", 
                "BDDDB"  
            ]).layer([
                "BEFGB",    
                "DHHHD", 
                "DHHHD", 
                "DHHHD", 
                "BDCDB" 
            ]).layer([
                "BBBBB",    
                "BBBBB", 
                "BBBBB", 
                "BBBBB", 
                "BBBBB"               
            ]).key("A", {
                block: "minecraft:glass"
            }).key("B", {
                block: "kubejs:blanc"
            }).key("D", {
                block: "tconstruct:clear_glass"
            }).key("E", {
                block: "mm:item_input"
            }).key("F", {
                block: "mm:energy_input"
            }).key("G", {
                block: "mm:item_output"
            }).key("H", {
                block: "exdeorum:mechanical_sieve"
            }).key("I", {
                block: "projectred_illumination:white_inverted_illumar_lamp"
            })
        })
})